× NETGEAR will be terminating ReadyCLOUD service by July 1st, 2023. For more details click here.
Orbi WiFi 7 RBE973
Reply

Virtualbox woes

funglenn
Luminary

Virtualbox woes

so I installed Virtualbox 5.1 on my old 6.6 build.  Had to upgrade to 6.9.5 (which i love) but now i am having alot of trouble trying to install virtualbox.  I did a factory reset and tried a similar process to what i used to recompile and install.  However after fixing some of the dependency issues i now get a "vboxdrv: disagrees about version of symbol module_layout"

 

After some research it seems that this is typical of someone who has upgraded from a previous version, but my factory reset should have fixed that. i am running OS 6.9.5 hotfix 1 and tried to install virtualbox-5.1_5.1.38-122592_Debian_jessie_amd64

 

Is there a better version for our machine?  i know  loco42 managed to install 5.1 but he did not specifiy which 5.1 build and what errors he got with 5.2.  i have also thought why not try 6.0--why would it not work?

 

any help appreciated. I would sooo pay for an easy installable over the Readynas GUI version.

Model: RN51600|ReadyNAS 516 6-Bay Diskless
Message 1 of 2

Accepted Solutions
funglenn
Luminary

Re: Virtualbox woes

I solved my own issue and got Virtualbox 5.1.38 working on 6.9.5  With some help from someone (who shall remain nameless because they sent me a private message vs posting here). I was pointed to this:

 

https://community.netgear.com/t5/New-ReadyNAS-Users-General/6-9-5-GPL-not-posted/m-p/1712651/highlig...

 

it highlights that the build file provided for 6.9.5 does not have the right .config file for us to compile apps on our own.  Also unfortunate is that netgear does not plan to address this.  The posting was from february 2019 and I downloaded the file within the last week and it still had not been addressed. 

 

 If they wanted to do this fine, but i fully agree they should have been forthcoming and actually putting this type of detail in the release notes for their new builds as it affects how their systems can be employed.   However I do applaud them for making these now stable releases that will be patched vs upgraded in a way that will affect the kernel.   

 

I will say that between this new policy and their refusal to sell replacement parts when part of a readynas breaks, i may look at another more friendly  vendor when it is time to upgrade. 

View solution in original post

Message 2 of 2

All Replies
funglenn
Luminary

Re: Virtualbox woes

I solved my own issue and got Virtualbox 5.1.38 working on 6.9.5  With some help from someone (who shall remain nameless because they sent me a private message vs posting here). I was pointed to this:

 

https://community.netgear.com/t5/New-ReadyNAS-Users-General/6-9-5-GPL-not-posted/m-p/1712651/highlig...

 

it highlights that the build file provided for 6.9.5 does not have the right .config file for us to compile apps on our own.  Also unfortunate is that netgear does not plan to address this.  The posting was from february 2019 and I downloaded the file within the last week and it still had not been addressed. 

 

 If they wanted to do this fine, but i fully agree they should have been forthcoming and actually putting this type of detail in the release notes for their new builds as it affects how their systems can be employed.   However I do applaud them for making these now stable releases that will be patched vs upgraded in a way that will affect the kernel.   

 

I will say that between this new policy and their refusal to sell replacement parts when part of a readynas breaks, i may look at another more friendly  vendor when it is time to upgrade. 

Message 2 of 2
Top Contributors
Discussion stats
  • 1 reply
  • 696 views
  • 0 kudos
  • 1 in conversation
Announcements